
Installer - Feature #35455

Make installer generate an environment file for ansible instead of ansible.cfg

08/30/2022 12:43 PM - Adam Ruzicka

Status: Closed   

Priority: Normal   

Assignee: Adam Ruzicka   

Category: Foreman modules   

Target version:    

Difficulty:  Fixed in Releases: 3.5.0

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/puppet-for

eman_proxy/pull/777

  

Description

Related issues:

Related to Ansible - Feature #35456: Source installer-provided environment be... Closed

Associated revisions

Revision b9bb68f7 - 11/04/2022 12:21 PM - Adam Růžička 

Fixes #35455 - Generate an environment file for ansible

This file will be sourced by smart_proxy_ansible before it starts

ansible-runner. This way, people can tweak their own ansible.cfg, but

the values we need will have a higher priority.

History

#1 - 08/30/2022 12:43 PM - Adam Ruzicka

- Related to Feature #35456: Source installer-provided environment before starting ansible-runner added

#2 - 08/30/2022 12:46 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/puppet-foreman_proxy/pull/777 added

#3 - 09/22/2022 04:04 PM - Eric Helms

- Tracker changed from Bug to Feature

#4 - 11/04/2022 12:21 PM - The Foreman Bot

- Fixed in Releases 3.5.0 added

#5 - 11/04/2022 01:01 PM - Anonymous

- Status changed from Ready For Testing to Closed

Applied in changeset puppet-foreman_proxy|b9bb68f70765cd0ef548ac53a36a300dcb7afde3.

#6 - 11/28/2022 12:25 PM - Ewoud Kohl van Wijngaarden

- Triaged changed from No to Yes
